Skip to main content
Query status of edge volume instances
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

deviceName
string
projectName
string
namePattern
string
runState
enum<string>
default:UNSPECIFIED
Available options:
UNSPECIFIED,
ONLINE,
HALTED,
INIT,
REBOOTING,
OFFLINE,
UNKNOWN,
UNPROVISIONED,
PROVISIONED,
SUSPECT,
DOWNLOADING,
RESTARTING,
PURGING,
HALTING,
ERROR,
VERIFYING,
LOADING,
CREATING_VOLUME,
BOOTING,
MAINTENANCE_MODE,
START_DELAYED,
BASEOS_UPDATING,
PREPARING_POWEROFF,
POWERING_OFF,
PREPARED_POWEROFF
type
enum<string>
default:UNSPECIFIED
Available options:
UNSPECIFIED,
EMPTYDIR,
BLOCKSTORAGE,
HOSTFS,
TMPFS,
SECRET,
NFS,
AWS_BLOCK_STORAGE,
CONTENT_TREE
imageName
string
appInstName
string
deviceNamePattern
string
projectNamePattern
string
next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

summary
boolean
fields
string[]

Response

A successful response.

list
object[]
summaryByState
Summary is used to store the Summary details · object

Summary is used to store the Summary details

summaryByType
Summary is used to store the Summary details · object

Summary is used to store the Summary details

totalCount
integer<int64>
next
Cursor is used as filter in list operation. · object

Cursor helps in filtering the various list response like edge-app bundle list, model list, bundle list etc.